/*
 * Class DYNAMIC_LIST [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1700 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1700 [] = {0xFF01,1551,1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1700 [] = {0xFF01,1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1700 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1700 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1700 [] = {0xFF01,1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1700 [] = {0xFF01,1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1700 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1700 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1700 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1700 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1700 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1700 [] = {1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1700 [] = {0xFF01,1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1700 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1700 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1700 [] = {0xFF01,1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1700 [] = {0xFF01,1686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1700 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1700 [] = {0xFF01,1699,863,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1700 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1700[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1700), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1700), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1700), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1700), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1700), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1700), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1700), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1700), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1700), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1700), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1700), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1700), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1700), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1700), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1700), 8798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1700), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1700), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9253, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12076, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12079, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1700), 8791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12461, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12082, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1700), 12077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1700), 12080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12085, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1700), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12088, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1700), 12077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1700), 12078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12085, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12091, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1700), 12073, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1700), 12074, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12083, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12084, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12086, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12089, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12090, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12070, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1700), 12380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12377, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12378, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12522, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1700), 11012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1700), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12462, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9254, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12519, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12520, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12521, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1700), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1700), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1700(void)
{
	IDSC(desc_1700, 0, 1699);
	IDSC(desc_1700 + 1, 1, 1699);
	IDSC(desc_1700 + 32, 1134, 1699);
	IDSC(desc_1700 + 41, 1060, 1699);
	IDSC(desc_1700 + 47, 1444, 1699);
	IDSC(desc_1700 + 56, 1570, 1699);
	IDSC(desc_1700 + 59, 1534, 1699);
	IDSC(desc_1700 + 66, 916, 1699);
	IDSC(desc_1700 + 72, 636, 1699);
	IDSC(desc_1700 + 86, 1135, 1699);
	IDSC(desc_1700 + 95, 1088, 1699);
	IDSC(desc_1700 + 97, 1245, 1699);
	IDSC(desc_1700 + 100, 387, 1699);
	IDSC(desc_1700 + 102, 778, 1699);
	IDSC(desc_1700 + 103, 658, 1699);
	IDSC(desc_1700 + 104, 340, 1699);
	IDSC(desc_1700 + 112, 254, 1699);
	IDSC(desc_1700 + 115, 554, 1699);
	IDSC(desc_1700 + 116, 878, 1699);
	IDSC(desc_1700 + 117, 794, 1699);
}


#ifdef __cplusplus
}
#endif
